summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author Heinz Wiesinger <pprkut@slackbuilds.org>2010-05-11 20:30:44 +0200
committer Heinz Wiesinger <pprkut@slackbuilds.org>2010-05-11 20:30:44 +0200
commit019f5a1dde618b3afa1584c356db50b1cfa1a636 (patch)
tree802c05ee9823242edbedbe5d409f1ec7fe0de7f2 /audio
parent6c1f4e52023b81e6dbdfa0dabc47ddbd04844ba1 (diff)
downloadslackbuilds-019f5a1dde618b3afa1584c356db50b1cfa1a636.tar.gz
slackbuilds-019f5a1dde618b3afa1584c356db50b1cfa1a636.tar.xz
audio/ardour: Moved from multimedia
Diffstat (limited to 'audio')
-rw-r--r--audio/ardour/README8
-rw-r--r--audio/ardour/SConscript.diff17
-rw-r--r--audio/ardour/ardour.SlackBuild105
-rw-r--r--audio/ardour/ardour.info8
-rw-r--r--audio/ardour/doinst.sh27
-rw-r--r--audio/ardour/slack-desc19
6 files changed, 184 insertions, 0 deletions
diff --git a/audio/ardour/README b/audio/ardour/README
new file mode 100644
index 0000000000..8bd85ee7d4
--- /dev/null
+++ b/audio/ardour/README
@@ -0,0 +1,8 @@
+Ardour is an application to fit the needs of musicians under Linux.
+It is designed to be a fully functional professional audio application,
+that uses the professional sound server jack for sound i/o.
+
+Ardour requires liblo, raptor, liblrdf, boost, scons, fftw, libsamplerate,
+jack-audio-connection-kit, libgnomecanvas and aubio. If you want ardour
+with lv2 support pass LV2=yes to the script. This will additionally need
+slv2. All available from SlackBuilds.org.
diff --git a/audio/ardour/SConscript.diff b/audio/ardour/SConscript.diff
new file mode 100644
index 0000000000..8a7dc77cf4
--- /dev/null
+++ b/audio/ardour/SConscript.diff
@@ -0,0 +1,17 @@
+--- SConscript 2008-07-07 17:34:05.000000000 +0200
++++ SConscript 2008-07-13 19:20:38.475141333 +0200
+@@ -499,14 +499,9 @@
+ env.Alias('install', env.InstallAs(os.path.join(desktop_icon_install_prefix, '22x22', 'mimetypes', 'application-x-ardour2.png'), 'icons/application-x-ardour_22px.png'))
+ env.Alias('install', env.InstallAs(os.path.join(desktop_icon_install_prefix, '32x32', 'mimetypes', 'application-x-ardour2.png'), 'icons/application-x-ardour_32px.png'))
+ env.Alias('install', env.InstallAs(os.path.join(desktop_icon_install_prefix, '48x48', 'mimetypes', 'application-x-ardour2.png'), 'icons/application-x-ardour_48px.png'))
+- env.Alias('install', env.Command (os.path.join(install_prefix, 'share', 'mime'), [], 'update-mime-database $TARGET'))
+- # Update the icon cache #
+- env.Alias('install', env.Command (desktop_icon_install_prefix, [], 'touch --no-create $TARGET'))
+- env.Alias('install', env.Command (desktop_icon_install_prefix, [], 'gtk-update-icon-cache $TARGET'))
+ # Make the ardour2.desktop file and install it #
+ env.Alias('install', env.Command ('ardour2.desktop', 'ardour2.desktop.in', 'cat $SOURCES > $TARGET'))
+ env.Alias('install', env.Install(os.path.join(install_prefix, 'share', 'applications'), 'ardour2.desktop'))
+- env.Alias('install', env.Command (os.path.join(install_prefix, 'share', 'applications'), [], 'update-desktop-database $TARGET'))
+ # uninstall target.. needed to run update-mime-database and update-desktop-database after removal. #`
+ remove_desktop_files = env.Command ('another_frobnicatory_decoy', [],
+ [ Delete (install_prefix + '/share/mime/packages/ardour2.xml'),
diff --git a/audio/ardour/ardour.SlackBuild b/audio/ardour/ardour.SlackBuild
new file mode 100644
index 0000000000..3bb9af1689
--- /dev/null
+++ b/audio/ardour/ardour.SlackBuild
@@ -0,0 +1,105 @@
+#!/bin/sh
+
+# Slackware build script for ardour
+
+# Copyright 2008 Heinz Wiesinger <pprkut@liwjatan.at>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ardour
+VERSION=2.7
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+LV2=${LV2:-no}
+
+if [ "$LV2" = "no" ]; then
+ lv2opt="LV2=0"
+else
+ lv2opt="LV2=1"
+fi
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION-4225.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Make FREEDESKTOP work with DESTDIR
+patch -d gtk2_ardour -p0 -i $CWD/SConscript.diff
+
+scons PREFIX=/usr \
+ DIST_TARGET="none" \
+ ARCH="$(echo $SLKCFLAGS)" \
+ FREEDESKTOP=1 \
+ $lv2opt
+scons \
+ PREFIX=/usr \
+ DIST_TARGET="none" \
+ ARCH="$(echo $SLKCFLAGS)" \
+ FREEDESKTOP=1 \
+ $lv2opt \
+ DESTDIR=$PKG \
+ install
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING PACKAGER_README README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+# Let's not clobber config files
+cd $PKG/etc/ardour2
+ for i in * ; do
+ mv $i $i.new
+ echo "config etc/ardour2/$i.new" >> $PKG/install/doinst.sh
+ done
+cd -
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/audio/ardour/ardour.info b/audio/ardour/ardour.info
new file mode 100644
index 0000000000..b16674fc4e
--- /dev/null
+++ b/audio/ardour/ardour.info
@@ -0,0 +1,8 @@
+PRGNAM="ardour"
+VERSION="2.7"
+HOMEPAGE="http://ardour.org"
+DOWNLOAD="http://releases.ardour.org/ardour-2.7-4225.tar.bz2"
+MD5SUM="cda1db24e93bb443534bf7232bf02ca2"
+MAINTAINER="ppr:kut"
+EMAIL="pprkut@liwjatan.at"
+APPROVED="Erik Hanson"
diff --git a/audio/ardour/doinst.sh b/audio/ardour/doinst.sh
new file mode 100644
index 0000000000..0743536eb4
--- /dev/null
+++ b/audio/ardour/doinst.sh
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/gtk-update-icon-cache ] \
+ && [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+fi
diff --git a/audio/ardour/slack-desc b/audio/ardour/slack-desc
new file mode 100644
index 0000000000..aad2a6dc8b
--- /dev/null
+++ b/audio/ardour/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+ardour: ardour (Professional Audio Editing)
+ardour:
+ardour: Ardour is an application to fit the needs of musicians under
+ardour: Linux. It is designed to be a fully functional professional
+ardour: audio application, that uses the professional sound server
+ardour: jack for sound i/o.
+ardour:
+ardour: Homepage: http://ardour.org
+ardour:
+ardour:
+ardour: